%define version   1.40
%define release   %mkrel 1

Name:      kimera
Summary:   Another input method for Japanese
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://kimera.sourceforge.jp/
Source0:   http://prdownloads.sourceforge.jp/kimera/17746/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        anthy, prime
BuildRequires:   anthy-devel, prime
BuildRequires:   qt3-devel, X11-devel

%description
Kimera is another input method for Japanese.
It supports Anthy.


%prep
%setup -q

%build
qmake "target.path=/usr/lib/kimera" "script.path=/usr/bin" kimera.pro
make clean
make

%install
rm -rf $RPM_BUILD_ROOT

# install bin files
install -d %{buildroot}%{_bindir}
install -m 755 kimera %{buildroot}%{_bindir}

# install lib files
install -d %{buildroot}%{_libdir}/kimera
install -m 755 kimera-bin %{buildroot}%{_libdir}/kimera/
install -d %{buildroot}%{_libdir}/kimera/dic/
install -m 644 dic/*.dic %{buildroot}%{_libdir}/kimera/dic/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README*
%{_bindir}/kimera
%{_libdir}/kimera/kimera-bin
%{_libdir}/kimera/dic/*.dic


%changelog
* Sat Jun 02 2007 Funda Wang <fundawang@mandriva.org> 1.40-1mdv2008.0
+ Revision: 34645
- New version
- Import kimera




* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.32-2mdk
- fix build on x86_64 (and build with upcoming modularized xorg btw)

* Sat Apr 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.32-1mdk
- new release
- remove patch0 (merged upstream)

* Tue Mar 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.31-2mdk
- add patch0

* Fri Mar 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.31-1mdk
- new release

* Sun Feb 05 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3-1mdk
- new release
- kimera-1.3 supports UTF-8

* Wed Jan 11 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2-1mdk
- first spec for Mandriva Linux
